package com.persagy.dmp.rwd.simple.dao;

import com.persagy.dmp.basic.dto.RequestData;
import com.persagy.dmp.rwd.simple.dto.GroupDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 数字孪生 设备统计相关接口 DAO
 * @author Charlie Yu
 * @date 2021-08-04
 */
public interface EquipmentReportMapper {

    /**
     * 统计项目设备总数和待报废设备数量
     * @param scrapDate 报废日期
     * @param projectIds 项目ID
     * @return
     */
    List<Map<String, Object>> queryExpectScrapCountByProjects(String scrapDate, List<String> projectIds);

    /**
     * 按对象类型统计设备总数
     * @param projectIds
     * @return
     */
    List<Map<String, Object>> queryEquipmentCountByType(@Param("projectIds") List<String> projectIds);
    /***
     * Description: 根据对象信息点统计数量
     * @param requestData :
     * @return : java.util.List<com.fasterxml.jackson.databind.node.ObjectNode>
     * @author : lijie
     * @date :2021/9/13 21:50
     * Update By lijie 2021/9/13 21:50
     */
    List<Map<String, Object>> queryObjectCountByObjInfos(@Param("param") RequestData requestData,@Param("groups") List<GroupDTO> groupDTOS);
}
